////////////////////////////////////////////////////////////////////////////////
///
///		Title		: File Interface
///
///		Copyright (c) 2006, NHN Co., Ltd. ALL RIGHTS RESERVED
///
///		Team		: Desktop Service Development
///
////////////////////////////////////////////////////////////////////////////////
#pragma once

/**
* @group 	PCM Base Lib	
* @brief 	common file interface
* @date		12/27/2006
* @author	samtree
* @remark	
*/
interface INPFile
{
public:
	INPFile( void ) {}
	virtual ~INPFile( void ) {}

	virtual	BOOL		Open( LPCTSTR lpszURL, DWORD dwFlags = 0 ) = 0;
	virtual	void		Close() = 0;
	virtual	DWORD		Read( void* lpBuf, DWORD dwCount = 0 ) = 0;
	virtual	BOOL		Write( const void* lpBuf, DWORD dwCount ) = 0;

	virtual ULONGLONG	GetSize() = 0;
};